Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDINCAPACITYREASONvalues

    java.lang.Object
      java.lang.Enum<CDINCAPACITYREASONvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDINCAPACITYREASONvalues

All Implemented Interfaces:
  Serializable, Comparable<CDINCAPACITYREASONvalues>

    public enum CDINCAPACITYREASONvalues

extends Enum<CDINCAPACITYREASONvalues>

Java class for CD-INCAPACITYREASONvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-INCAPACITYREASONvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="sickness"/>
         <enumeration value="accident"/>
         <enumeration value="family"/>
         <enumeration value="other"/>
         <enumeration value="careencounter"/>
         <enumeration value="illness"/>
         <enumeration value="hospitalisation"/>
         <enumeration value="pregnancy"/>
         <enumeration value="workaccident"/>
         <enumeration value="occupationaldisease"/>
         <enumeration value="traveltofromworkaccident"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACCIDENT`
`CAREENCOUNTER`
`FAMILY`
`HOSPITALISATION`
`ILLNESS`
`OCCUPATIONALDISEASE`
`OTHER`
`PREGNANCY`
`SICKNESS`
`TRAVELTOFROMWORKACCIDENT`
`WORKACCIDENT`

Method Summary
`static CDINCAPACITYREASONvalues` | `fromValue(String v)`
`String` | `value()`
`static CDINCAPACITYREASONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDINCAPACITYREASONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SICKNESS

    public static final CDINCAPACITYREASONvalues SICKNESS

### ACCIDENT

    public static final CDINCAPACITYREASONvalues ACCIDENT

### FAMILY

    public static final CDINCAPACITYREASONvalues FAMILY

### OTHER

    public static final CDINCAPACITYREASONvalues OTHER

### CAREENCOUNTER

    public static final CDINCAPACITYREASONvalues CAREENCOUNTER

### ILLNESS

    public static final CDINCAPACITYREASONvalues ILLNESS

### HOSPITALISATION

    public static final CDINCAPACITYREASONvalues HOSPITALISATION

### PREGNANCY

    public static final CDINCAPACITYREASONvalues PREGNANCY

### WORKACCIDENT

    public static final CDINCAPACITYREASONvalues WORKACCIDENT

### OCCUPATIONALDISEASE

    public static final CDINCAPACITYREASONvalues OCCUPATIONALDISEASE

### TRAVELTOFROMWORKACCIDENT

    public static final CDINCAPACITYREASONvalues TRAVELTOFROMWORKACCIDENT

Method Detail

### values

    public static CDINCAPACITYREASONvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDINCAPACITYREASONvalues c : CDINCAPACITYREASONvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDINCAPACITYREASONvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDINCAPACITYREASONvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.